From e5a0712e721fa3d2ba01a83b33035ad83f88c967 Mon Sep 17 00:00:00 2001
From: Louis Bettens <louis@bettens.info>
Date: Sat, 30 Nov 2013 19:58:10 +0100
Subject: [PATCH 2/5] add --timestamp

---
 scripts/debchange.pl | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/scripts/debchange.pl b/scripts/debchange.pl
index 3ec288d..b6ce458 100755
--- a/scripts/debchange.pl
+++ b/scripts/debchange.pl
@@ -129,6 +129,9 @@ Options:
          Increase the Debian release number, adding a new changelog entry
   -v <version>, --newversion=<version>
          Add a new changelog entry with version number specified
+  --timestamp=<timestamp>
+         When generating a trailer line, use the specified time as a number of
+         seconds after january 1st, 1970 instead of the current time
   -e, --edit
          Don't change version number or add a new changelog entry, just
          update the changelog's stamp and open up an editor
@@ -363,7 +366,7 @@ if (@ARGV and $ARGV[0] =~ /^--no-?conf$/) {
 # We use bundling so that the short option behaviour is the same as
 # with older debchange versions.
 my ($opt_help, $opt_version);
-my ($opt_i, $opt_a, $opt_e, $opt_r, $opt_v, $opt_b, $opt_d, $opt_D, $opt_u, $opt_force_dist);
+my ($opt_i, $opt_a, $opt_timestamp, $opt_e, $opt_r, $opt_v, $opt_b, $opt_d, $opt_D, $opt_u, $opt_force_dist);
 my ($opt_n, $opt_bn, $opt_qa, $opt_R, $opt_s, $opt_team, $opt_U, $opt_bpo, $opt_l, $opt_c, $opt_m, $opt_M, $opt_create, $opt_package, @closes);
 my ($opt_news);
 my ($opt_level, $opt_regex, $opt_noconf, $opt_empty);
@@ -371,6 +374,7 @@ my ($opt_level, $opt_regex, $opt_noconf, $opt_empty);
 Getopt::Long::Configure('bundling');
 GetOptions("help|h" => \$opt_help,
 	   "version" => \$opt_version,
+	   "timestamp=s" => \$opt_timestamp,
 	   "i|increment" => \$opt_i,
 	   "a|append" => \$opt_a,
 	   "e|edit" => \$opt_e,
@@ -992,7 +996,8 @@ if (@ARGV and ! $TEXT) {
 }
 
 # Get the date
-my $DATE=strftime "%a, %d %b %Y %T %z", localtime();
+$opt_timestamp = defined $opt_timestamp ? $opt_timestamp : time;
+my $DATE=strftime "%a, %d %b %Y %T %z", localtime($opt_timestamp);
 
 if ($opt_news && !$opt_i && !$opt_a) {
     if ($VERSION eq $changelog{'Version'} && !$opt_v && !$opt_l) {
-- 
1.8.4.3

